Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000030 [cparser] unknown crash always 2008-12-22 20:03 2009-05-15 16:51
Reporter edwin View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 0.9.7
Summary 0000030: cparser: be/begnuas.c:892: dump_ir_initializer: Assertion `is_compound_type(type)' failed.
Description $ /tmp/cparser-0.9.7/build/cparser -c t.c
cparser: be/begnuas.c:892: dump_ir_initializer: Assertion `is_compound_type(type)' failed.
Aborted

t.c contains standard stuff from pthread.h on my Linux x86_64 system.
Additional Information typedef union { char __size[36]; long int __align; }
 __pthread_slist_t;
 typedef union { struct __pthread_mutex_s { int __lock; unsigned int __count; int __owner; int __kind; unsigned int __nusers; __extension__ union { int __spins; __pthread_slist_t __list; }; } __data; char __size[24]; long int __align; }
 pthread_mutex_t;
 static pthread_mutex_t cli_gentemp_mutex = { { 0, 0, 0, 0, 0, { 0 } } };
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000041)
Tron (administrator)
2008-12-22 20:13

Reduced testcase:
struct X { union { int x; }; } x = { { 0 } };
(0000044)
xt3firm (administrator)
2008-12-26 05:14
edited on: 2008-12-31 06:09

ast2firm flats anonymous unions into the Firm-type. This flattening is not implemented for initializers.

(0000075)
Matze (administrator)
2009-03-08 17:21

fixed in r25637: anonymous structs/unions are not flattened anymore but implicit select-expressions are created.

- Issue History
Date Modified Username Field Change
2008-12-22 20:03 edwin New Issue
2008-12-22 20:13 Tron Note Added: 0000041
2008-12-22 20:13 Tron Status new => confirmed
2008-12-26 05:14 xt3firm Note Added: 0000044
2008-12-31 06:09 xt3firm Note Edited: 0000044
2009-03-08 17:21 Matze Note Added: 0000075
2009-03-08 17:21 Matze Assigned To => Matze
2009-03-08 17:21 Matze Status confirmed => resolved
2009-03-08 17:21 Matze Resolution open => fixed
2009-05-15 16:51 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker